<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>Bookshop</title>
        <link rel="icon" type="image/x-icon" href="/assets/favicon.ico" />
        <link href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css" rel="stylesheet" />
        <link href="/css/styles.css" rel="stylesheet" />
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
        <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.12.1/css/jquery.dataTables.css">
        <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.js"></script>
    </head>
    <body onload="counterDisplay()">
        <!-- Navigation-->
        <nav class="navbar navbar-expand-lg navbar-light bg-light">
            <div class="container px-4 px-lg-5">
                <a class="navbar-brand" href="/">Bookshop</a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span></button>
                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="navbar-nav me-auto mb-2 mb-lg-0 ms-lg-4">
                        <li class="nav-item"><a class="nav-link active" aria-current="page" href="/">Home</a></li>
                    </ul>
                    <form class="d-flex" style="margin-right: 10px;" method="post" action="/logout" sec:authorize="isAuthenticated()">
                        <button class="btn btn-outline-dark" type="submit">
                            Exit
                        </button>
                    </form>
                    <div class="d-flex" style="margin-right: 10px;" sec:authorize="!isAuthenticated()">
                        <a class="btn btn-outline-dark" href="/login">
                            Authorization
                        </a>
                    </div>
                    <form class="d-flex" method="get" action="/cart">
                        <button class="btn btn-outline-dark" type="submit">
                            <i class="bi-cart-fill me-1"></i>
                            Cart
                            <span class="badge bg-dark text-white ms-1 rounded-pill" id="counter">0</span>
                        </button>
                    </form>
                </div>
            </div>
        </nav>
        <!-- Header-->
        <header class="bg-dark py-5">
            <div class="container px-4 px-lg-5 my-5">
                <div class="text-center text-white">
                    <h1 class="display-4 fw-bolder">Shop in style</h1>
                    <p class="lead fw-normal text-white-50 mb-0">With this shop hompeage template</p>
                </div>
            </div>
        </header>
        <!-- Section-->
        <table id="example" class="display" style="width:100%">
            <thead>
            <tr>
                <th>Cover</th>
                <th>Title</th>
                <th>Author</th>
                <th>Category</th>
                <th>Price</th>
                <th>Actions</th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="book : ${books}">
                <td><img src="https://dummyimage.com/300x300/dee2e6/6c757d.jpg" alt="..." /></td>
                <td th:text="${book.title}">Title</td>
                <td th:text="${book.author.name}">Author</td>
                <td th:text="${book.subCategory.name}">Category</td>
                <td th:text="${book.price}">00.00</td>
                <td>
                    <div class="text-center"><a class="btn btn-outline-dark mt-auto add-to-cart" th:data-art="${book.id}" sec:authorize="isAuthenticated()">Add to cart</a></div>
                    <div class="text-center"><a class="btn btn-outline-dark mt-auto" th:href="@{/detail/{id}(id=${book.id})}" sec:authorize="isAuthenticated()">Details</a></div>
                </td>
            </tr>
            </tbody>
            <tfoot>
            <tr>
                <th>Cover</th>
                <th>Title</th>
                <th>Author</th>
                <th>Category</th>
                <th>Price</th>
                <th>Actions</th>
            </tr>
            </tfoot>
        </table>
        <!-- Footer-->
        <footer class="py-5 bg-dark">
            <div class="container"><p class="m-0 text-center text-white">Copyright &copy; Bookshop 2022</p></div>
        </footer>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
        <script src="/js/scripts.js"></script>
        <script src="/js/bookshop.js"></script>
    </body>
</html>
